corda / net.corda.core.crypto / DummyPublicKey

# DummyPublicKey

`class DummyPublicKey : PublicKey, Comparable<PublicKey>`

### Constructors

<init> | `DummyPublicKey(s: String)`

### Properties

s | `val s: String`

### Functions

compareTo | `fun compareTo(other: PublicKey): Int`
equals | `fun equals(other: Any?): Boolean`
getAlgorithm | `fun getAlgorithm(): String`
getEncoded | `fun getEncoded(): ByteArray`
getFormat | `fun getFormat(): String`
hashCode | `fun hashCode(): Int`
toString | `fun toString(): String`

### Extension Properties

composite | `val PublicKey.composite: CompositeKey` Creates a CompositeKey with a single leaf node containing the public key

### Extension Functions

toBase58String | `fun PublicKey.toBase58String(): String`
toStringShort | `fun PublicKey.toStringShort(): String` Render a public key to a string, using a short form if it's an elliptic curve public key
verifyWithECDSA | `fun PublicKey.verifyWithECDSA(content: ByteArray, signature: DigitalSignature): Unit` Utility to simplify the act of verifying a signature